% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/flag.R
\encoding{UTF-8}
\name{flag}
\alias{flag}
\title{Add an "id" Variable to a Dataset}
\usage{
flag(.data, id.vars = NULL)
}
\arguments{
\item{.data}{The input \code{data.frame} or \code{data.table}.}

\item{id.vars}{The variables that should be treated as ID variables. Defaults to \code{NULL}, at which point all variables are used to create the new ID variable.}
}
\value{
The input dataset (as a \code{data.table}) if ID variables are unique, or the input dataset with a new column named "\code{.id}".
}
\description{
Many functions will not work properly if there are duplicated ID variables
in a dataset. This function is a convenience function for \code{.N} from the "data.table" package to create an "\code{.id}"
variable that when used in conjunction with the existing ID variables,
should be unique.
}
\examples{
df <- data.frame(A = c("a", "a", "a", "b", "b"),
                 B = c(1, 1, 1, 1, 1), values = 1:5);
df

flag(df, c("A", "B"))

df <- data.frame(A = c("a", "a", "a", "b", "b"),
                   B = c(1, 2, 1, 1, 2), values = 1:5)
df
flag(df, 1:2)
}
\author{
Ananda Mahto
}

